menubar{
    position: relative;
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 64px;
    width: 100%;
    bottom: 0;
    left: 0;
    z-index: 99999;
    border-top: 1px solid var(--box-border-light);
    background-color: var(--body-bg-light-opacity);
    backdrop-filter: blur(16px);
}
body.darkmode menubar{
    background-color: var(--body-bg-opacity);
    border-top: 1px solid var(--box-border);
}
menubar a,
menubar button{
    height: 100%;
    background-color: transparent !important;
    border: none;
}
menubar button img{
    height: 28px;
    width: 28px;
    filter: invert(0);
    opacity: 0.44;
}
body.darkmode menubar button img{
    filter: invert(1);
    opacity: 1;
}
#hiddenMenu{
    position: absolute;
    display: flex;
    flex-direction: row;
    align-self: self-end;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: flex-end;
    content: '';
    width: calc(73px + 73px);
    height: calc(64px + 64px + 64px + 64px + 42px);
    transition: height 0.12s ease-in-out, opacity 0.12s ease-in-out;
    border-top: 1px solid var(--box-border-light);
    border-right: 1px solid var(--box-border-light);
    background-color: var(--body-bg-light);
    overflow: hidden;
    opacity: 0;
    pointer-events: none;
    border-top-right-radius: 8px;
    z-index: 100;
}
body.darkmode #hiddenMenu{
    background-color: var(--body-bg);
    border-top: 1px solid var(--box-border);
    border-right: 1px solid var(--box-border);
}
#hiddenMenu.active{
    opacity: 1;
    pointer-events: all;
}
.hiddenMenuHover{
    background-color: var(--button-bg) !important;
}
body.darkmode .hiddenMenuHover{
    background-color: var(--dm-button-bg) !important;
}
#hiddenMenu a,
#hiddenMenu button{
    height: 64px;
}
#hiddenMenu-edit{
    width: 100%;
    padding: 16px;
    padding-bottom: 0;
    display: flex;
    align-items: center;
}
#hiddenMenu-edit a,
#hiddenMenu-edit button{
    height: fit-content !important;
}
#btn_close_menubar{
    position: absolute !important;
    bottom: 0;
    left: 0;
}
#btn_admin_inicio,
#btn_inicio{
    height: 64px !important;
    width: 64px !important;
    flex-shrink: 0;
    background-color: var(--button-bg) !important;
    -webkit-box-shadow: 0px 24px 37px -10px rgba(0,0,0,0.5); 
    box-shadow: 0px 24px 37px -10px rgba(0,0,0,0.5);
    border-radius: 20px;
}
#btn_admin_inicio,
#btn_inicio{
    background-color: var(--dm-button-bg) !important;
}
.middleButton{
    margin-bottom: 32px;
}
#btn_admin_inicio img,
#btn_inicio img{
    height: 32px;
    width: 32px;
    filter: invert(1);
    opacity: 1;
}
@media only all and (min-width: 620px) {
    menubar{
        display: none;
    }
}